<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.tableData.mapper.DrRaninsplanMapper">

    <resultMap id="BaseResultMap" type="com.zksy.tableData.domain.DrRaninsplan">
            <id property="insplanid" column="INSPLANID" jdbcType="VARCHAR"/>
            <result property="raninsplanid" column="RANINSPLANID" jdbcType="VARCHAR"/>
            <result property="raninsplanname" column="RANINSPLANNAME" jdbcType="VARCHAR"/>
            <result property="entnum" column="ENTNUM" jdbcType="BIGINT"/>
            <result property="raninstaskid" column="RANINSTASKID" jdbcType="VARCHAR"/>
            <result property="raninstaskname" column="RANINSTASKNAME" jdbcType="VARCHAR"/>
            <result property="raninstype" column="RANINSTYPE" jdbcType="VARCHAR"/>
            <result property="raninstypename" column="RANINSTYPENAME" jdbcType="VARCHAR"/>
            <result property="raninsitem" column="RANINSITEM" jdbcType="VARCHAR"/>
            <result property="raninsitemname" column="RANINSITEMNAME" jdbcType="VARCHAR"/>
            <result property="raninsobjscope" column="RANINSOBJSCOPE" jdbcType="VARCHAR"/>
            <result property="extractauthcode" column="EXTRACTAUTHCODE" jdbcType="VARCHAR"/>
            <result property="extractauth" column="EXTRACTAUTH" jdbcType="VARCHAR"/>
            <result property="extractfrom" column="EXTRACTFROM" jdbcType="TIMESTAMP"/>
            <result property="extractto" column="EXTRACTTO" jdbcType="TIMESTAMP"/>
            <result property="raninsobjnum" column="RANINSOBJNUM" jdbcType="BIGINT"/>
            <result property="raninsobjprop" column="RANINSOBJPROP" jdbcType="DECIMAL"/>
            <result property="sldinsobjnum" column="SLDINSOBJNUM" jdbcType="BIGINT"/>
            <result property="pubdate" column="PUBDATE" jdbcType="TIMESTAMP"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="sExtTimestamp" column="S_EXT_TIMESTAMP" jdbcType="TIMESTAMP"/>
            <result property="iTime" column="I_TIME" jdbcType="TIMESTAMP"/>
            <result property="sExtFromnode" column="S_EXT_FROMNODE" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        INSPLANID,RANINSPLANID,RANINSPLANNAME,
        ENTNUM,RANINSTASKID,RANINSTASKNAME,
        RANINSTYPE,RANINSTYPENAME,RANINSITEM,
        RANINSITEMNAME,RANINSOBJSCOPE,EXTRACTAUTHCODE,
        EXTRACTAUTH,EXTRACTFROM,EXTRACTTO,
        RANINSOBJNUM,RANINSOBJPROP,SLDINSOBJNUM,
        PUBDATE,S_EXT_DATATIME,S_EXT_TIMESTAMP,
        I_TIME,S_EXT_FROMNODE
    </sql>
</mapper>
